Subject: Re: bug#37473: 27.0.50; antialias setting is not preserved by, inheriting

From: Po Lu <[email-masked]>
Date: Mon, 20 Jun 2022 08:49:19 +0800

Eli Zaretskii <[email-masked]> writes:

>> Cc: Lars Ingebrigtsen <[email-masked]>
>> Date: Sun, 19 Jun 2022 18:43:33 +0200
>> From: David Ponce <[email-masked]>
>> 
>> The below related today's commit to xface.c breaks antialiasing:
>> 
>>  From b2d11d69dd49864874f8fe53669b4049e83bfce9 Mon Sep 17 00:00:00 2001
>> From: Po Lu <[email-masked]>
>> Date: Sun, 19 Jun 2022 21:57:11 +0800
>> Subject: More conservative fix for bug#37473
>> 
>> * src/xfaces.c (realize_gui_face): Add more conservative fix,
>> since the last change makes C-x C-+ lead to weight weirdness on
>> my machine.
>
> FWIW, I understand neither that commit nor the one it attempted to
> fix.

I didn't either.  My goal was to fix C-x C-+ causing a font with an
incorrect weight to be selected, by only preserving :antialias (as
opposed to everything aside from foundry, family, registry and adstyle.)

The fix should definitely be rewritten.

> IOW, do we really understand the reason for bug#37473?  Not the commit
> which introduced it, but the reason why :antialiasing is being reset
> and doesn't appear in attrs[] and in the realized face?  If so, could
> someone please spell that out?

I think the person who wrote the font code is the only person who really
understands it.  Is Kenchi Handa still around?